const path = require('path');
// const UglifyJsPlugin = require('uglifyjs-webpack-plugin');
module.exports = {
  devtool: "source-map",
  entry: path.resolve(__dirname, 'src/index.js'),
  output: {
    path: path.resolve(__dirname, 'dist'),
    filename: 'ml-assist-bot.js',
    library: 'mlAssitBot',
    libraryTarget: 'umd',
  },
  module: {
    rules: [
      {
        test: /\.(js)$/,
        exclude: /node_modules/,
        loader: 'babel-loader',
        options: {
            presets: [
                '@babel/preset-env'
            ],
            plugins: [
                '@babel/transform-runtime',
                "@babel/plugin-proposal-object-rest-spread"
            ]
        }
      },
    ],
  },
  resolve: {
    fallback: {
      // "crypto": false
    } 
  },
  // optimization: {
  //   minimize: true,
  //   minimizer: [new UglifyJsPlugin({
  //     include: /\.min\.js$/
  //   })]
  // },
  mode: 'production',
};